# -*- coding: utf-8 -*-

import re

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　楓　　　痕　　製作分享　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")

UI.UpdateLog("【腳本更新】：2013.03.12 楓痕 修正原始冏rz內附腳本",2)
UI.UpdateLog("【上傳空間】：turboimagehost.com",2)
UI.UpdateLog("【上傳大小】：10 MB",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",1)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
HTTP.ClearProcedureData()
HTML=HTTP.GetURL("http://www.turboimagehost.com/simple.tu?")
upload_post=Simple_Regular("http://(.+?)/upload.tu?",HTML,1)
UI.UpdateLog("開始上傳....",4)
up_post=("http://"+upload_post+"/upload.tu?")
HTTP.AddUpParam("imcontent","all")
HTTP.AddUpParam("privacy","public")
HTTP.AddUpParam("thumb_size","0")
HTTP.AddFileReference("images[]","image/jpeg")
HTML=UI.UpFile(up_post)
lolink1=Simple_Regular('http://www.turboimagehost.com/p/(.+?)"',HTML,1)
HTML=HTTP.GetURL("http://www.turboimagehost.com/p/"+lolink1)
img1=Simple_Regular('img src="http://(.+?).turboimagehost.com/sp/([^"]+)',HTML,1)
img2=Simple_Regular('img src="http://(.+?).turboimagehost.com/sp/([^"]+)',HTML,2)
Hotlink=("http://"+img1+".turboimagehost.com/sp/"+img2)
if  Hotlink!=False:   
    Hotlink1=(Hotlink)
    Hotlink2=("[IMG]"+Hotlink+"[/IMG]")
    UI.UpdateLog("連結 【1】"+Hotlink1,3)
    UI.UpdateLog("連結 【2】"+Hotlink2,3)
    UI.AddShareLink(Hotlink1+"^"+Hotlink2)
    UI.ProceSuccess()
else:
    UI.UpdateLog("找不到圖片連結!",3)
    UI.ProceFalse()